//*********************************************************************************/
//* Freescale reserves  the right to make  changes without  further notice to any */
//* product herein to improve  reliability, function,  or design.  Freescale does */
//* not  assume  any  liability  arising  out of  the application  or use  of any */
//* product, circuit,  or software described herein;  neither does  it convey any */
//* license under its patent rights nor the rights of others.  Freescale products */
//* are not designed, intended,  or authorized for use as  components  in systems */
//* intended for  surgical implant into the body,  or other applications intended */
//* to support life,  or for any other  application  in which the failure  of the */
//* Freescale product could create a situation where personal injury or death may */
//* occur.  Should Buyer purchase or use Freescale products for any such intended */
//* or unauthorized  application,  Buyer shall indemnify and  hold  Freescale and */
//* its officers, employees, subsidiaries, affiliates,  and distributors harmless */
//* against all claims costs, damages, and expenses, and reasonable attorney fees */
//* arising  out of,  directly or indirectly,  any claim  of personal  injury  or */
//* death  associated  with  such unintended  or unauthorized use,  even if  such */
//* claim  alleges  that  Freescale  was  negligent   regarding   the  design  or */
//* manufacture  of the part.  Freescale and the  Freescale logo*  are registered */
//* trademarks of Freescale Ltd.                                                  */
//*********************************************************************************/

//==============================================================================
// This file contains data arrays that are used to load the code RAM, data RAM
// and registers on the MC33PT2000.
//==============================================================================

// Data to be loaded into the Code RAM 1 memory space
unsigned short MC33PT2000_VFM_65V_6C_DIAG_code_RAM1[191] =
{
    0x3748, 0xB4E9, 0xE47D, 0x95BD, 0x1F4A, 0x860E, 0x10C7, 0x39A3, 0xBD80, 0x248C, 
    0x660E, 0xCF3C, 0x1A06, 0x3DDA, 0xCC42, 0x13EE, 0xC0E7, 0xE1FE, 0xA309, 0x7C3D, 
    0x9637, 0x5403, 0x9B78, 0x1B02, 0x9347, 0xD284, 0x9C00, 0x53E9, 0xEDF4, 0x2692, 
    0x7EF3, 0x662B, 0x9224, 0xF762, 0xC3E9, 0xEFD6, 0xD76A, 0xD6FF, 0x39BF, 0x8599, 
    0x5865, 0x0E30, 0x5B65, 0xADCF, 0x38D5, 0xA463, 0x24EA, 0x6562, 0x2A53, 0x7978, 
    0x66F1, 0xACB7, 0x5BF0, 0x80CC, 0x3D67, 0x2ABE, 0x1915, 0x737C, 0x022B, 0x439D, 
    0x3FE8, 0xA2BE, 0xCE31, 0x4487, 0xF4EA, 0x931E, 0xB178, 0xBA60, 0xB44F, 0xA742, 
    0x2E7E, 0xAE5B, 0x0E92, 0xFB52, 0x2F20, 0x7243, 0xB139, 0x6660, 0x3F38, 0xE6B9, 
    0xA609, 0xF542, 0x8470, 0xD2B1, 0x1334, 0x2128, 0xD0C6, 0xC862, 0x1AEB, 0x07DF, 
    0xBFB7, 0xF627, 0x3D96, 0x5F7B, 0xEF9E, 0xFA40, 0x6516, 0xD14C, 0xA88B, 0x50D5, 
    0xE84C, 0x3E62, 0x25D4, 0x0779, 0x32FE, 0x70EE, 0xAD5E, 0x80CE, 0x2CBC, 0x4421, 
    0x5D3A, 0x0972, 0x4748, 0x883C, 0xAE52, 0x99F1, 0xE275, 0xA573, 0xE96F, 0x82EE, 
    0x4ADE, 0x4F9A, 0x9ECB, 0x9869, 0x6947, 0x1E84, 0xF5FC, 0x2AEC, 0xB54D, 0x54A3, 
    0xC6A6, 0xA8E7, 0x6704, 0xEE23, 0x41BF, 0xE03D, 0x8D89, 0x0DAD, 0x9B22, 0x7A24, 
    0x143F, 0xD3AF, 0x4F64, 0x1913, 0x73B2, 0xFEE0, 0xB7EA, 0x8408, 0x815B, 0x074B, 
    0xEDD4, 0x74EA, 0x3B7A, 0x518B, 0xAE6A, 0x99BD, 0xF8E3, 0x06BE, 0x49A5, 0x7A4D, 
    0x823B, 0x33C0, 0xB4CA, 0x9F3D, 0x4A2D, 0xB5EA, 0xFD26, 0x42F7, 0x9498, 0x1148, 
    0x9B3B, 0x7769, 0x8E75, 0x365C, 0x530D, 0x8802, 0xF4EF, 0x4A32, 0x84FA, 0x22E6, 
    0x53BE, 0x9AB4, 0x7FA3, 0x3111, 0x9F37, 0x4D98, 0xE4C4, 0x6296, 0xFFB6, 0x5E81, 
    0x768D
};

// Data to be loaded into the Code RAM 2 memory space
unsigned short MC33PT2000_VFM_65V_6C_DIAG_code_RAM2[113] =
{
    0x3748, 0xB4E9, 0xE47D, 0x95BD, 0x260D, 0x846C, 0x2B85, 0x23BF, 0x8604, 0x0495, 
    0x6606, 0x442C, 0x0942, 0x2603, 0xC60B, 0x98FE, 0xD3D7, 0xFA27, 0xA943, 0xFE1E, 
    0x84BC, 0x5F88, 0x9F36, 0x8A05, 0x8F94, 0xD349, 0x8C5B, 0x4F15, 0xEC3E, 0x2376, 
    0x7E7E, 0x727F, 0x88B6, 0xF741, 0x62B2, 0x504C, 0xD706, 0xC3B5, 0x0698, 0x85D8, 
    0xBCBF, 0x0E67, 0x780D, 0x8E12, 0x22FC, 0xB770, 0x8174, 0x64F7, 0x1572, 0xDF3B, 
    0x97CE, 0xAD7F, 0x60D2, 0xA1DA, 0x3DCB, 0xAFBF, 0x28A8, 0x4278, 0x280D, 0xC4F8, 
    0x25B3, 0xA3A3, 0xD4B9, 0xF115, 0x8BD0, 0xC794, 0x817D, 0x8B0E, 0x9793, 0x6501, 
    0xCB02, 0xAE01, 0x442E, 0x6EFB, 0x4ABF, 0x7253, 0xB0DB, 0xEECE, 0xA81D, 0xAD05, 
    0x41BA, 0xF39D, 0x85AC, 0xD392, 0x7787, 0x20F9, 0x4B50, 0xC8FB, 0x7F24, 0xD698, 
    0x5B82, 0xF864, 0xCAA1, 0x5F3F, 0x5905, 0x1FE7, 0x9BDE, 0x2679, 0xA848, 0x50D9, 
    0x1969, 0x3FC2, 0x4018, 0xB0A3, 0xD714, 0x8E1A, 0x5A08, 0xE478, 0x2148, 0xD4CE, 
    0xCC7B, 0x9991, 0x5DDF
};

// Data to be loaded into the Code RAM 3 memory space
unsigned short MC33PT2000_VFM_65V_6C_DIAG_code_RAM3[100] =
{
    0x3748, 0xB4E9, 0xE47D, 0x945B, 0x10EE, 0x124C, 0x3D25, 0x22FA, 0x9CAF, 0x0410, 
    0xF707, 0xC61F, 0x1BC9, 0x2D81, 0xDF64, 0x0836, 0xCAA0, 0xE1F7, 0xAD17, 0xED3B, 
    0x9F63, 0x5A34, 0x9135, 0x9017, 0x8FCB, 0xC9D9, 0x8C06, 0x5A51, 0xF600, 0x82E6, 
    0xDB6F, 0x72A1, 0xAD09, 0xF721, 0x2773, 0xF512, 0xF4FE, 0xD93E, 0x8DC3, 0x85DC, 
    0x4D87, 0x0FA5, 0x412F, 0xB7E5, 0x0925, 0x2144, 0xB10C, 0x7FF5, 0x0FFE, 0x1C26, 
    0x2776, 0xC9FD, 0x95B3, 0x43A8, 0xD8DB, 0x6787, 0x1825, 0x6182, 0x18F5, 0xF5F2, 
    0x3F7B, 0xC6FD, 0xD568, 0x4410, 0xEED3, 0xC7DC, 0x337F, 0x6F04, 0x7BCD, 0x60DE, 
    0x513B, 0xAF8A, 0xBB97, 0x9FB1, 0x4AA7, 0x7329, 0xB107, 0x7537, 0xC1B4, 0x19BC, 
    0xA6E6, 0x8083, 0x7516, 0x65A0, 0xA426, 0x2124, 0xAA97, 0x38E3, 0x825F, 0x07FF, 
    0x5A5A, 0x0943, 0x7F8A, 0x3AB4, 0xEF83, 0xFA44, 0x64F3, 0xD0C3, 0xF810, 0x4B96
    
};

// Data to be loaded into the Data RAM memory space
unsigned short MC33PT2000_VFM_65V_6C_DIAG_data_RAM[192] =
{
    0x00D9, 0x006E, 0x0042, 0x0078, 0x0BB8, 0x00F0, 0x00F0, 0xEA60, 0x0000, 0x0000, 
    0x0000, 0x0BB8, 0x0078, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x00D4, 0x006A, 0x0042, 0x0078, 0x0BB8, 0x00F0, 
    0x00F0, 0xEA60, 0x0000, 0x0000, 0x0000, 0x0BB8, 0x0078, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x00CE, 0x00D2, 
    0x0029, 0x0080, 0xEA60, 0x00CB, 0x0072, 0x00F0, 0xEA60, 0x0078, 0x1770, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000
};

// Data to be loaded into the Main register memory space
unsigned short MC33PT2000_VFM_65V_6C_DIAG_main_config[32] =
{
    0x0003, 0x0000, 0x0000, 0x000F, 0x000C, 0x0301, 0x0000, 0x0001, 0x0004, 0x001D, 
    0x003D, 0x006F, 0x0007, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000
};

// Data to be loaded into the CH1 register memory space
unsigned short MC33PT2000_VFM_65V_6C_DIAG_ch1_config[20] =
{
    0x0000, 0x0000, 0x0000, 0x0C03, 0x0000, 0x0000, 0x0000, 0x00BF, 0x4476, 0x30CF, 
    0x002C, 0x0076, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000
    
};

// Data to be loaded into the CH2 register memory space
unsigned short MC33PT2000_VFM_65V_6C_DIAG_ch2_config[20] =
{
    0x0000, 0x0000, 0x0000, 0x0030, 0x0000, 0x0000, 0x0000, 0x0071, 0xDBFF, 0x7813, 
    0x0021, 0x006D, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000
    
};

// Data to be loaded into the CH3 register memory space
unsigned short MC33PT2000_VFM_65V_6C_DIAG_ch3_config[20] =
{
    0x0000, 0x0000, 0x0000, 0x0040, 0x0000, 0x0000, 0x0000, 0x0064, 0x8DBC, 0x6B1C, 
    0x001C, 0x004F, 0x0000, 0x0000, 0x0007, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000
    
};

// Data to be loaded into the IO register memory space
unsigned short MC33PT2000_VFM_65V_6C_DIAG_io_config[73] =
{
    0x0303, 0x0003, 0x0C0C, 0x0030, 0x3030, 0x0030, 0x0000, 0x0000, 0x0040, 0x0040, 
    0x0000, 0x0080, 0x0303, 0x0C0C, 0x3030, 0x0000, 0x4040, 0x8000, 0x0201, 0x0004, 
    0xC030, 0x0000, 0x0000, 0x2227, 0x0222, 0x2222, 0x0222, 0x2222, 0x5222, 0x0000, 
    0x0000, 0x0050, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0303, 0x0303, 
    0x0303, 0x0303, 0x0303, 0x00D0, 0x0020, 0x0003, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x00FF, 
    0x00FF, 0x00FF, 0x00FF, 0x00FF, 0x00FF, 0x00FF, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000
};

// Data to be loaded into the Diag register memory space
unsigned short MC33PT2000_VFM_65V_6C_DIAG_diag_config[64] =
{
    0x115A, 0x0009, 0x003E, 0x115A, 0x0009, 0x003E, 0x115A, 0x0009, 0x003E, 0x115A, 
    0x0009, 0x003E, 0x115A, 0x0009, 0x003E, 0x115A, 0x0009, 0x003E, 0x115A, 0x0009, 
    0x003E, 0x115A, 0x0009, 0x003E, 0x115A, 0x0069, 0x003E, 0x115A, 0x0029, 0x003E, 
    0x115A, 0x0069, 0x003E, 0x115A, 0x0029, 0x003E, 0x115A, 0x0069, 0x003E, 0x115A, 
    0x0029, 0x003E, 0x115A, 0x0069, 0x003E, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
    0x0000, 0x0000, 0x0000, 0x0000
};

